Get Signer
GET
https://app.firmeasy.legal/api/v1/electronica/firmante/{firmante_id}
Get Signer
Section titled “Get Signer”This endpoint allows you to get detailed information of a registered signer by their unique identifier. It is useful for verifying the current signature process status, contact data, and the flow configuration assigned to the signer.
Authorization
Section titled “Authorization”This resource is protected. You must include your access token in the request header.
AuthorizationAccess token (Bearer token).
Limits:Required
Implementation Examples
Section titled “Implementation Examples”curl -X GET [https://app.firmeasy.legal/api/v1/electronica/firmante/3d15675c-e355-41d8-a469-331b084c9125](https://app.firmeasy.legal/api/v1/electronica/firmante/3d15675c-e355-41d8-a469-331b084c9125) \ -H "Authorization: Bearer TU_TOKEN_AQUI"Node.js (Fetch)
Section titled “Node.js (Fetch)”const myHeaders = new Headers();myHeaders.append("Authorization", "Bearer TU_TOKEN_AQUI");
const requestOptions = { method: "GET", headers: myHeaders, redirect: "follow"};
fetch("[https://app.firmeasy.legal/api/v1/electronica/firmante/3d15675c-e355-41d8-a469-331b084c9125](https://app.firmeasy.legal/api/v1/electronica/firmante/3d15675c-e355-41d8-a469-331b084c9125)", requestOptions) .then((response) => response.json()) .then((result) => console.log(result)) .catch((error) => console.error(error));Status Codes
Section titled “Status Codes”| Code | Status | Description |
|---|---|---|
200 |
OK | Signer data retrieved successfully. |
401 |
Unauthorized | Missing or invalid token. |
404 |
Not Found | Signer not found. |
500 |
Server Error | Internal server failure. |
